
{% extends 'base.html' %}
{% block content %}
    <main>
        <div class="container reading">
            <h1> Situation</h1>
            <pre>
                {{ script1 }}
            </pre>
            <h1> Task</h1>
            <pre>
                {{ script2 }}
            </pre>
            <h1> Action</h1>
            <h2> Plan</h2>
            <pre>
                {{ script3 }}
                <figure>
                    <img src="./static/images/plan.png">
                    <figcaption>Figure 1: Diagram to show overview of initial plan for monitoring job and what AWS services may be needed.</figcaption>
                </figure>
            </pre>
            <h2> Implementation</h2>
            <pre>
                {{ script4 }}
                <figure>
                    <img src="./static/images/lambda.png">
                        <figcaption>Figure 2: Completed python code for lambda function.</figcaption>
                    <img src="./static/images/slack_message.png">
                        <figcaption>Figure 3: This method takes the parameter (msg) and sends that message to the appropriate slack channel.</figcaption>
                    <img src="./static/images/permissions.png">
                        <figcaption>Figure 4: Managed JSON policy for IAM role to access the required services and resources.</figcaption>
                </figure>
            </pre>
            <h2> Automation</h2>
            <pre>
                {{ script5 }}
            </pre>
            <h2> Problems</h2>
            <pre>
                {{ script6 }}
                <figure>
                <img src="./static/images/tf-permissions.png">
                    <figcaption>Figure 5: Terraform resources for creating policy document and attaching it to the IAM role created in the high_performance_mode module.</figcaption>
                </figure>
            </pre>
            <h1> Result</h1>
            <pre>
                {{ script7 }}
            </pre>
        </div>
    </main>
{% endblock %}
